---
kind: pipeline
type: docker
name: default-linux-amd64

platform:
  arch: amd64
  os: linux

steps:
  - name: build
    image: golang
    commands:
      - mkdir dist
      - go build -o dist/qrz-${DRONE_TAG}-${GOOS}-${GOARCH} -mod=vendor -ldflags="-s -w" cmd/qrz/*.go
      - cd dist
      - tar -czvf qrz-${DRONE_TAG}-${GOOS}-${GOARCH}.tar.gz
    environment:
      - GOOS: linux
      - GOARCH: amd64
    when:
      event: tag
  - name: release
    image: plugins/gitea-release
    settings:
      base_url: https://git.paulbsd.com
      api_key:
        from_secret: gitea_token
      files: dist/*.tar.gz
    when:
      event: tag
